Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.query
Interface Sorts.SortFactory

Enclosing class:
  Sorts

    protected static interface Sorts.SortFactory

Factory interface, used for internal implementation

Method Summary
`Sort` | `byAuthor(SortDirection direction)`
`Sort` | `byDateCreated(SortDirection direction)`
`Sort` | `byDateModified(SortDirection direction)`
`Sort` | `byExpiryDate(SortDirection direction)`
`Sort` | `byGeneralDateOne(SortDirection direction)`
`Sort` | `byGeneralDateTwo(SortDirection direction)`
`Sort` | `byId(SortDirection direction)`
`Sort` | `byName(SortDirection direction, java.util.Locale locale)`
`Sort` | `byPosition(SortDirection direction)`
`Sort` | `byPublishDate(SortDirection direction)`
`Sort` | `byTitle(SortDirection direction, java.util.Locale locale)`
`Sort` | `byType(SortDirection direction)`
`Sort` | `byWorkflowStatus(SortDirection direction)`

Method Detail

### byAuthor

    Sort byAuthor(SortDirection direction)

### byName

    Sort byName(SortDirection direction,
                java.util.Locale locale)

### byTitle

    Sort byTitle(SortDirection direction,
                 java.util.Locale locale)

### byDateCreated

    Sort byDateCreated(SortDirection direction)

### byDateModified

    Sort byDateModified(SortDirection direction)

### byGeneralDateOne

    Sort byGeneralDateOne(SortDirection direction)

### byGeneralDateTwo

    Sort byGeneralDateTwo(SortDirection direction)

### byPublishDate

    Sort byPublishDate(SortDirection direction)

### byExpiryDate

    Sort byExpiryDate(SortDirection direction)

### byId

    Sort byId(SortDirection direction)

### byPosition

    Sort byPosition(SortDirection direction)

### byWorkflowStatus

    Sort byWorkflowStatus(SortDirection direction)

### byType

    Sort byType(SortDirection direction)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD